X2Go dev team | 22 Jul 11:14 2013

x2gothinclient.git - wheezy-tce (branch) updated: 1.0.1.8-108-g97b104e

The branch, wheezy-tce has been updated
       via  97b104e02b2c1d3886740e0450da2a922bcb8519 (commit)
      from  60828dfaef5985930251df0e1de5c5e8ee868c56 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 .../sbin/x2gothinclient_cleanup                    |    2 +-
 .../sbin/x2gothinclient_create                     |    8 ++++----
 x2gothinclientmanagement/sbin/x2gothinclient_shell |    8 ++++----
 .../sbin/x2gothinclient_upgrade                    |    8 ++++----
 4 files changed, 13 insertions(+), 13 deletions(-)

The diff of changes is:
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_cleanup b/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
index 984b3e2..5157fb6 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_cleanup
 <at>  <at>  -55,7 +55,7  <at>  <at>  read
 # make sure, all chroot-internal mountpoints are gone...
 for mountpoint in proc dev/pts sys; do
 	while true; do
-		cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint"
|| break
+	cat /proc/mounts | grep "$TC_CHROOT/$mountpoint" >/dev/null && umount "$TC_CHROOT/$mountpoint" || break
 	done
 done

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index fdaa1fd..82b5584 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
 <at>  <at>  -198,10 +198,10  <at>  <at>  export X2GO_HANDLE_DAEMONS=false
 EOF
 chmod u+x $TC_CHROOT/x2go_tce_install.sh

-mkdir -p $TC_CHROOT/{proc,dev/pts,sys}
-mount -tproc proc $TC_CHROOT/proc || true
-mount -tsysfs sys $TC_CHROOT/sys || true
-mount -tdevpts devpts $TC_CHROOT/dev/pts || true
+mkdir -p "$TC_CHROOT/"{proc,dev/pts,sys}
+mount -tproc proc "$TC_CHROOT/proc" || true
+mount -tsysfs sys "$TC_CHROOT/sys" || true
+mount -tdevpts devpts "$TC_CHROOT/dev/pts" || true

 chroot $TC_CHROOT /x2go_tce_install.sh

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_shell b/x2gothinclientmanagement/sbin/x2gothinclient_shell
index 736776e..42f4f5d 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_shell
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_shell
 <at>  <at>  -92,10 +92,10  <at>  <at>  echo
 EOF
 chmod u+x "$TC_CHROOT/x2go_tce_shell.sh"

-mkdir -p $TC_CHROOT/{proc,dev/pts,sys}
-mount | grep $TC_CHROOT/proc >/dev/null || mount -tproc proc $TC_CHROOT/proc || true
-mount | grep $TC_CHROOT/sys >/dev/null || mount -tsysfs sys $TC_CHROOT/sys || true
-mount | grep $TC_CHROOT/dev/pts >/dev/null || mount -tdevpts devts $TC_CHROOT/dev/pts || true
+mkdir -p "$TC_CHROOT/"{proc,dev/pts,sys}
+mount | grep "$TC_CHROOT/proc" >/dev/null || mount -tproc proc "$TC_CHROOT/proc" || true
+mount | grep "$TC_CHROOT/sys" >/dev/null || mount -tsysfs sys "$TC_CHROOT/sys" || true
+mount | grep "$TC_CHROOT/dev/pts" >/dev/null || mount -tdevpts devts "$TC_CHROOT/dev/pts" || true
 cp "$TC_CHROOT/etc/resolv.conf" "$TC_CHROOT/etc/resolv.conf.disabled-by-x2go"
 test -f /etc/resolv.conf && cp /etc/resolv.conf "$TC_CHROOT/etc/resolv.conf"

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
index a53c183..16abcc5 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
 <at>  <at>  -91,10 +91,10  <at>  <at>  echo
 EOF
 chmod u+x "$TC_CHROOT/x2go_tce_upgrade.sh"

-mkdir -p $TC_CHROOT/{proc,dev/pts,sys}
-mount | grep $TC_CHROOT/proc >/dev/null || mount -tproc proc $TC_CHROOT/proc || true
-mount | grep $TC_CHROOT/sys >/dev/null || mount -tsysfs sys $TC_CHROOT/sys || true
-mount | grep $TC_CHROOT/dev/pts >/dev/null || mount -tdevpts devts $TC_CHROOT/dev/pts || true
+mkdir -p "$TC_CHROOT/"{proc,dev/pts,sys}
+mount | grep "$TC_CHROOT/proc" >/dev/null || mount -tproc proc "$TC_CHROOT/proc" || true
+mount | grep "$TC_CHROOT/sys" >/dev/null || mount -tsysfs sys "$TC_CHROOT/sys" || true
+mount | grep "$TC_CHROOT/dev/pts" >/dev/null || mount -tdevpts devts "$TC_CHROOT/dev/pts" || true

 chroot "$TC_CHROOT" /x2go_tce_upgrade.sh

hooks/post-receive

Gmane